Subject: sound/oss-msnd-pinnacle: ioctl needs the inode

From: Arnd Bergmann <[email-masked]>
Date: Wed, 14 Jul 2010 15:11:39 +0200

This broke in sound/oss: convert to unlocked_ioctl, when I missed one
of the ioctl functions still using the inode pointer.

Signed-off-by: Arnd Bergmann <[email-masked]>
---
On Tuesday 13 July 2010, Randy Dunlap wrote:
> On Tue, 13 Jul 2010 14:40:07 +1000 Stephen Rothwell wrote:
> 
> > Hi all,
> > 
> > Not unexpectedly, we got some conflicts with the arm defconfig files
> > today ...
> 
> 
> sound/oss/msnd_pinnacle.c:644:error: 'inode' undeclared (first use in this function)
> 

Sorry about that, my fault. Please apply.

I checked all the other files I touched in the same patch, they either did
not have this problem, or I had done it correctly.

--- a/sound/oss/msnd_pinnacle.c
+++ b/sound/oss/msnd_pinnacle.c
@@ -641,7 +641,7 @@ static int mixer_ioctl(unsigned int cmd, unsigned long arg)
 
 static long dev_ioctl(struct file *file, unsigned int cmd, unsigned long arg)
 {
-	int minor = iminor(inode);
+	int minor = iminor(file->f_path.dentry->d_inode);
 	int ret;
 
 	if (cmd == OSS_GETVERSION) {